// ChamberInterface.cpp: implementation of the CChamberInterface class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "ChamberInterface.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

// Static members need to be declared at file scope too
CCriticalSection CChamberInterface::m_CommCritSect;

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

CChamberInterface::CChamberInterface()
{
   m_iInterfaceType = -1;
}

CChamberInterface::~CChamberInterface()
{
}


BOOL CChamberInterface::SendReceiveBuffer(CString outbuffer, CString &inbuffer)
{
   BOOL retval = FALSE;

   if (IsValidComm()) 
	{
      // Send out our buffer until we get a response.
      int retries = 0;
      int err = 0;
		
		SendCommand(outbuffer);

		int status = ReadResponse(inbuffer);

		retval = (status > 0);
	}

   return retval;

}
