// ChamberInterface.h: interface for the CChamberIterface class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_ChamberIterface_H__093A3D80_6CC3_11D2_8B3D_00E02918A3A8__INCLUDED_)
#define AFX_ChamberIterface_H__093A3D80_6CC3_11D2_8B3D_00E02918A3A8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxmt.h>

class CChamberInterface
{
public:
	CChamberInterface();
	virtual ~CChamberInterface();

   virtual BOOL SendCommand(CString strCmd) = 0;
   virtual int ReadResponse(CString &strBuff) = 0;
   virtual BOOL IsValidComm() = 0;
   virtual void InvalidateComm() = 0;

	BOOL SendReceiveBuffer(CString outbuffer, CString &inbuffer);

   // This will be used to ensure that we only ever have one of these
   // objects instantiated at a time
   static CCriticalSection m_CommCritSect;

   int m_iInterfaceType;
};

#endif // !defined(AFX_ChamberIterface_H__093A3D80_6CC3_11D2_8B3D_00E02918A3A8__INCLUDED_)
