// CommTestDlg.h : header file
//

#if !defined(AFX_COMMTESTDLG_H__815EC82E_928B_4DF0_AF82_7581C5224EC7__INCLUDED_)
#define AFX_COMMTESTDLG_H__815EC82E_928B_4DF0_AF82_7581C5224EC7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


#include "ChamberInterface.h"
#include "afxwin.h"

/////////////////////////////////////////////////////////////////////////////
// CCommTestDlg dialog

class CCommTestDlg : public CDialog
{
// Construction
public:
	CCommTestDlg(CWnd* pParent = NULL);	// standard constructor
	virtual ~CCommTestDlg();
	
// Dialog Data
	//{{AFX_DATA(CCommTestDlg)
	enum { IDD = IDD_COMMTEST_DIALOG };
	CComboBox	c_CommType;
	CEdit	c_Response;
	CEdit	c_Command;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CCommTestDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

	CComboBox	c_Terminator;
	CEdit	c_TCPPort;
	CEdit	c_NetAddr;
	CIPAddressCtrl	c_IPAddress;
	CComboBox	c_ComPort;
	CComboBox	c_BaudRate;



// Implementation
protected:
	CChamberInterface* NewIOInterface();
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CCommTestDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnSend();
	afx_msg void OnChangeInterface();
	afx_msg void OnChangeIOSettings();
	afx_msg void OnIpnFieldchangedIpaddress1(NMHDR *pNMHDR, LRESULT *pResult);
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
	CChamberInterface* m_pIOInterface;
	CEdit c_ConnectionStatus;

	void ConnectDisconnectIO(bool bConnect);
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_COMMTESTDLG_H__815EC82E_928B_4DF0_AF82_7581C5224EC7__INCLUDED_)
