// DemoInterface.h: interface for the CDemoInterface class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_DemoInterface_H__E1E90F20_FBB7_11D2_8B43_00E02918A3A8__INCLUDED_)
#define AFX_DemoInterface_H__E1E90F20_FBB7_11D2_8B43_00E02918A3A8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ChamberInterface.h"

class CDemoInterface : public CChamberInterface
{
protected:
   HANDLE m_hCom;
   CString m_strCmd;
   static int m_iRun;
   static int m_iHold;

public:
	CDemoInterface();
	virtual ~CDemoInterface();

   virtual BOOL SendCommand(CString strCmd);
   virtual int ReadResponse(CString &strBuff);
   virtual BOOL IsValidComm();
   virtual void InvalidateComm();
};

#endif // !defined(AFX_DemoInterface_H__E1E90F20_FBB7_11D2_8B43_00E02918A3A8__INCLUDED_)
