// GPIBInterface.h: interface for the CGPIBInterface class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_GPIBInterface_H__093A3D80_6CC3_11D2_8B3D_00E02918A3A8__INCLUDED_)
#define AFX_GPIBInterface_H__093A3D80_6CC3_11D2_8B3D_00E02918A3A8__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include <afxmt.h>
#include "ChamberInterface.h"
#include "decl-32.h"

class CGPIBInterface : public CChamberInterface
{
public:
	CGPIBInterface(int address);
	virtual ~CGPIBInterface();

   virtual BOOL SendCommand(CString strCmd);
   virtual int ReadResponse(CString &strBuff);
   virtual BOOL IsValidComm();
   virtual void InvalidateComm();

protected:
   int m_iCom;
};

#endif // !defined(AFX_GPIBInterface_H__093A3D80_6CC3_11D2_8B3D_00E02918A3A8__INCLUDED_)
