// RS232Interface.h: interface for the CRS232Interface class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RS232Interface_H__88A74361_12EC_11D1_B0F8_ED38014C5828__INCLUDED_)
#define AFX_RS232Interface_H__88A74361_12EC_11D1_B0F8_ED38014C5828__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ChamberInterface.h"
#include <afxmt.h>

class CRS232Interface : public CChamberInterface
{
protected:
   HANDLE m_hCom;

public:
   CRS232Interface(CString ComPort, int BaudRate);
	virtual ~CRS232Interface();

   virtual BOOL SendCommand(CString strCmd);
   virtual int ReadResponse(CString &strBuff);
   virtual BOOL IsValidComm();
   virtual void InvalidateComm();

};

#endif // !defined(AFX_RS232Interface_H__88A74361_12EC_11D1_B0F8_ED38014C5828__INCLUDED_)
