// RS485Interface.h: interface for the CRS485Interface class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_RS485Interface_H__88A74361_12EC_11D1_B0F8_ED38014C5828__INCLUDED_)
#define AFX_RS485Interface_H__88A74361_12EC_11D1_B0F8_ED38014C5828__INCLUDED_

#if _MSC_VER >= 1000
#pragma once
#endif // _MSC_VER >= 1000

#include "ChamberInterface.h"
#include <afxmt.h>

class CRS485Interface : public CChamberInterface
{
protected:
   HANDLE m_hCom;
   UINT m_iAddr;

public:
   CRS485Interface(int Address, CString ComPort, int BaudRate);
	virtual ~CRS485Interface();

   virtual BOOL SendCommand(CString strCmd);
   virtual int ReadResponse(CString &strBuff);
   virtual BOOL IsValidComm();
   virtual void InvalidateComm();

};

#endif // !defined(AFX_RS485Interface_H__88A74361_12EC_11D1_B0F8_ED38014C5828__INCLUDED_)
