// TCPInterface.h: interface for the CTCPInterface class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_TCPINTERFACE_H__C55721AA_EC49_43DC_8057_5C0CD2F447A2__INCLUDED_)
#define AFX_TCPINTERFACE_H__C55721AA_EC49_43DC_8057_5C0CD2F447A2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "ChamberInterface.h"

class CTCPInterface : public CChamberInterface  
{
public:
	CTCPInterface(CString address, int port);
	virtual ~CTCPInterface();

   virtual BOOL SendCommand(CString strCmd);
   virtual int ReadResponse(CString &strBuff);
   virtual BOOL IsValidComm();
   virtual void InvalidateComm();

protected:
   SOCKET m_hSocket;
};

#endif // !defined(AFX_TCPINTERFACE_H__C55721AA_EC49_43DC_8057_5C0CD2F447A2__INCLUDED_)
